Bug 1572367 - Update to nic settings not reflected in overcloud
Summary: Update to nic settings not reflected in overcloud
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 20:16 UTC by Wojciech Dec
Modified: 2018-05-07 12:34 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-07 12:34:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1767951 0 None None None 2018-05-03 14:13:27 UTC

Description Wojciech Dec 2018-04-26 20:16:00 UTC
Description of problem:
On an active overcloud deployment, changes to the nic-template settings on the director are not reflected on the overcloud nodes. The original configuration continues to be pushed out.
Changes to the nic-template settings requires a deletion and redeployment of the overcloud to become effective, which is severely disruptive. Any changes to the network settings


Version-Release number of selected component (if applicable):
This was observed with both OSPD10 and OSPD13

How reproducible:

Easily


Steps to Reproduce:
1. Start with default nic-template (templates/nic-configs/controller.yaml) suitable for the deployment and deploy the overcloud.
2. Modify the compute or controller nic-template on the director node, eg 
change the name of the bridge or the host interface to bridge association
3. Run the deployment update

Actual results:
/etc/os-net-config/element_config.json (OSPD12) or cat /etc/os-net-config/config.json (OSPD10) both contain the same info as pushed in step 1, after step 3.

Expected results:
the os-net-config json config should be updated to the latest.

Additional info:
We have also tried deleting the json config file on the overcloud nodes, but the same, not updated one keeps on being pushed back.

Comment 1 Bob Fournier 2018-05-04 21:05:58 UTC
By default network changes take place on the initial deployment.  In order to force network changes on a redeploy you need to set the following:

NetworkDeploymentActions: ['CREATE','UPDATE']

in the parameters_default section of a local network-environment.yaml file. 

By default the redeploy does not have the UPDATE flag set and will not update the network settings.

Comment 2 Wojciech Dec 2018-05-07 10:33:04 UTC
Thanks. With the new setting I'm seeing the update propagate.
How about adding it as default setting in the templates?

Comment 3 Bob Fournier 2018-05-07 12:34:18 UTC
Great, thanks for testing. Network updates are disabled by default to avoid issues that may arise from network reconfiguration.  For example, when adding an additional compute node we don't want to affect networking to the existing nodes.  It must be set to UPDATE when network updates are required.


Note You need to log in before you can comment on or make changes to this bug.